Bug 1819417 (CVE-2019-9345) - CVE-2019-9345 kernel: data separation violation in sdcardfs leads to privilege escalation
Summary: CVE-2019-9345 kernel: data separation violation in sdcardfs leads to privileg...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-9345
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819420
Blocks: 1750356 1819418
TreeView+ depends on / blocked
 
Reported: 2020-03-31 19:52 UTC by msiddiqu
Modified: 2020-04-14 16:34 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 09:42:00 UTC


Attachments (Terms of Use)

Description msiddiqu 2020-03-31 19:52:45 UTC
A vulnerability was found in sdcardfs in Kernel where there is a possible violation of the separation of data between profiles due to shared mapping of obb files. This could lead to local escalation of privilege with User execution privileges needed. User interaction is needed for exploitation.

References:

https://source.android.com/security/bulletin/pixel/2019-09-01

Comment 1 msiddiqu 2020-03-31 19:58:19 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1819420]

Comment 2 Justin M. Forbes 2020-04-01 15:18:49 UTC
This is an android driver that is not in the upstream linux kernel.


Note You need to log in before you can comment on or make changes to this bug.